%global gem_name rspec-fire

Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 1%{?dist}
Summary: More resilient test doubles for RSpec.
License: Apache License, Version 2.0
URL: https://github.com/xaviershay/rspec-fire
Source0: %{gem_name}-%{version}.gem
BuildArch: noarch
Requires: ruby
Requires: rubygems
Requires: rubygem-rspec >= 2.11
Requires: rubygem-rspec < 4
Requires: rubygem-rake
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildRequires: rubygems

%description
More resilient test doubles for RSpec.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_instdir}/spec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/README.md

%files doc
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/HISTORY
%doc %{gem_docdir}


%changelog
* Wed Dec 18 2019 Breno Brand Fernandes <brandfbb@gmail.com> - 3.3.2-14
- First build

